package com.hzya.frame.plugin.lets.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 售后订单表_仅退款_主表(OnlyAfterSalesH)实体类
 *
 * @author makejava
 * @since 2024-09-23 10:43:08
 */
@Data
public class OnlyAfterSalesHEntity extends BaseEntity {

    private String ofsid;
 
  /**  退货类型 */
   private String returntype;
  /**  换货方式 */
   private String exchangetype;
  /**  是否退款 */
   private String refundind;
  /**  系统内部类型 */
   private String internalordertype;
  /**  业务发生渠道 */
   private String bizchannel;
  /**  售后凭证单号 */
   private String code;
  /**  商家编码 */
   private String companycode;
  /**  组织 */
   private String clientcode;
  /**  店铺编码 */
   private String storecode;
  /**  平台客户账号 */
   private String sourceuseraccount;
  /**  平台客户昵称 */
   private String sourceusername;
  /**  退货状态 */
   private String returnstatus;
  /**  发货状态 */
   private String shipstatus;
  /**  退款状态 */
   private String refundstatus;
  /**  退回仓库 */
   private String facilitycode;
  /**  销售订单编号 */
   private String refordercode;
  /**  销售订单ID */
   private Long reforderid;
  /**  销售订单类型 */
   private String refordertype;
  /**  生成售后订单时的订单状态 */
   private String reforderstatuswhenreturned;
  /**  来源平台 */
   private String sourceplatformcode;
  /**  平台订单号 */
   private String sourceordercode;
  /**  平台订单状态 */
   private String sourceorderstatuswhenreturned;
  /**  平台退货单号 */
   private String sourcereturncode;
  /**  平台退货单状态 */
   private String sourcereturnstatus;
  /**  退货原因 */
   private String reasoncode;
  /**  客服备注 */
   private String returnnote;
  /**  卖家备注 */
   private String sellernote;
  /**  应退金额 */
   private String requestrefundamount;
  /**  实退金额 */
   private String actualrefundamount;
  /**  应退商品总数 */
   private String totalqty;
  /**  实退总数 */
   private String totalfulfillqty;
  /**  发货人 */
   private String shipfromattentionto;
  /**  地址 */
   private String shipfromaddress;
  /**  国家 */
   private String shipfromcountry;
  /**  省份 */
   private String shipfromstate;
  /**  城市 */
   private String shipfromcity;
  /**  区域 */
   private String shipfromdistrict;
  /**  邮编 */
   private String shipfrompostalcode;
  /**  电话 */
   private String shipfromphone;
  /**  手机 */
   private String shipfrommobile;
  /**  传真 */
   private String shipfromfax;
  /**  电子邮箱 */
   private String shipfromemail;
  /**  发货快递公司 */
   private String shipcarrier;
  /**  发货快递单号 */
   private String shipwaybillcode;
  /**  发货物流状态 */
   private String shiplogisticsstatus;
  /**  退回快递公司 */
   private String returncarrier;
  /**  退回快递单号 */
   private String returnwaybillcode;
  /**  退货物流状态 */
   private String returnlogisticsstatus;
  /**  支付账号 */
   private String payaccount;
  /**  退款支付交易单号 */
   private String payorderno;
  /**  审核人 */
   private String auditby;
  /**  审核时间 */
   private Date auditat;
  /**  退款方式 */
   private String refundthru;
  /**  客服工号 */
   private String csstuff;
  /**  仓库备注 */
   private String returnwarehousenote;
  /**  锁定原因 */
   private String holdcode;
  /**  锁定用户 */
   private String holduser;
  /**  锁定时间 */
   private Date holdat;
  /**  异常类型 */
   private String errorcode;
  /**  异常消息 */
   private String errordesc;
  /**  核销状态 */
   private String verificationstatus;
  /**  核销异常描述 */
   private String verificationerrordesc;
  /**  退款时间 */
   private Date refundedat;
  /**  状态 */
   private String status;
  /**  处理类型 */
   private String processtype;

}

