package com.hzya.frame.plugin.lets.plugin.sales;

import com.hzya.frame.WebappApplication;
import com.hzya.frame.plugin.lets.queryvo.StartAndEndVo;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.plugin.sales
 * @Project：kangarooDataCenterV3
 * @name：SoSaleReturnPluginInitializerToCTest
 * @Date：2024/8/9 09:56
 * @Filename：SoSaleReturnPluginInitializerToCTest
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class SoSaleReturnPluginInitializerToCTest {

    @Autowired
    private SoSaleReturnPluginInitializerToC soSaleReturnPluginInitializerToC;

    @Test
    public void startImplement() {
//        soSaleReturnPluginInitializerToC.startImplement(null, null);
//        try {
//            String code = "LETS-RE2024091400000001";
//            soSaleReturnPluginInitializerToC.startImplementByCode(code, "tran");
//        } catch (Exception e) {
//            e.printStackTrace();
//        }


        List<StartAndEndVo> startAndEndVos = soSaleReturnPluginInitializerToC.calculateCalculateEntireDayPeriod(null);
        soSaleReturnPluginInitializerToC.startImplementStockByTime(startAndEndVos.get(0).getStart_time(), startAndEndVos.get(0).getEnd_time());
    }
}