package com.hzya.frame.u9c.allot.order.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.u9c.allot.order.entity.VU9cAllotOrderEntity;
import com.hzya.frame.u9c.allot.order.dao.IVU9cAllotOrderDao;
import com.hzya.frame.u9c.allot.order.service.IVU9cAllotOrderService;
import com.hzya.frame.u9c.constant.U9Constant;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.List;

/**
 * (VU9cAllotOrder)表服务实现类
 *
 * @author xiang2lin
 * @since 2023-11-02 10:52:23
 */
@Service("vU9cAllotOrderService")
public class VU9cAllotOrderServiceImpl extends BaseService<VU9cAllotOrderEntity, String> implements IVU9cAllotOrderService {
     
    private IVU9cAllotOrderDao vU9cAllotOrderDao;
    
    @Autowired
	public void setVU9cAllotOrderDao(IVU9cAllotOrderDao dao) {
		this.vU9cAllotOrderDao = dao;
		this.dao = dao;
	}

	/**
	 * 查询收货单，推送睿本云专用
	 * @param entity
	 * @return
	 */
	@DS(U9Constant.DATA_SOURCE_CODE)
	@Override
	public List<VU9cAllotOrderEntity> query2Reabam(VU9cAllotOrderEntity entity) {
		List<VU9cAllotOrderEntity> list = vU9cAllotOrderDao.queryList(entity, "VU9cAllotOrderEntity_list_base_reabam");
		return list;
	}
}
